import request from "@/utils/request2";

export function getList(query) {
  return request({
    url: "/inspectorInformation",
    method: "GET",
    params: query,
  });
}

export function uploadFile(query) {
  return request({
    url: "/common/downloadExcel/download",
    method: "GET",
    params: query,
  });
}
export function exportFile(ids) {
  return request({
    url: `/inspectorInformation/export/${ids}`,
    method: "GET",
  });
}

// 字典
export function dictList(query) {
  return request({
    url: "/dict/data",
    method: "GET",
    params: query,
  });
}

export function updataRow(data) {
  return request({
    url: "/inspectorInformation",
    method: "PUT",
    data,
  });
}

export function exportExcel(query, data) {
  return request({
    url: "/common/exortExcel",
    method: "POST",
    params: query,
    data,
  });
}
export function getcarid(query) {
  return request({
    url: "/inspectorInformation/selectbyId",
    method: "GET",
    params: query,
  });
}
export function getWorkUnit(query) {
  return request({
    url: "/dict/data/getWorkUnit",
    method: "GET",
    params: query,
  });
}
